
function showDialogAgr(divli) {
    const $overlay = $('<div class="  "></div>');
    let divhtml='<div id="section-agr" class="section-agr">' +
            '     <div class="agr-title">' +
            '         <div class="close"></div>' +
            '     </div>' +
            '     <div class="agr-content" id=\"ywushuoming\">';
            for(let i=0; i<divli.length; i++){
                divhtml+=  '         <div class="title">'+divli[i].name+'</div>' ;
                divhtml+=  '         <div class="content">' +
                    '             <ul>' ;
                for(let j=0;j<divli[i].value.length;j++){
                    divhtml+= '                 <li>'+divli[i].value[j]+'</li>';
                }
                divhtml+= '             </ul></div>' ;
            }
            divhtml+='     </div>' +
                '     <div class="action">' +
                '         <div class="btn cancel">退订入口</div>' +
                '     </div>' +
                '</div>';
    const $dialog = $(divhtml);
    $overlay.appendTo($(document.body))
    $dialog.appendTo($(document.body))
    $('body').css('overflow', 'hidden')
    $dialog.close = function() {
        $overlay.remove();
        $dialog.remove();
        $("body").css("overflow", "auto");
    }

    $dialog.hide = function() {
        $overlay.css('display', 'none');
        $dialog.css('display', 'none');
    }

    $dialog.show = function() {
        $overlay.css('display', 'block');
        $dialog.css('display', 'block');
    }

    $dialog.find('.close').unbind('click').on('click', function() {
        $dialog.close()
    })

    $dialog.find('.cancel').unbind('click').on('click', function() {
        $dialog.close();
        showCancelPage($dialog)
    })

    return $dialog;
}


function showAgr(divli) {
    var $overlay = $('<div class="overlay"></div>');
    let divhtml = '<section class="dialog-agr">' +
        '    <div class="close"><img src="images/wntx-close.png"></div>' +
        '    <h2></h2>    ' +
        '    <div class="container" onclick="yeuwushuoming()">';
    for (let i = 0; i < divli.length; i++) {
        divhtml += '         <div class="title">' + divli[i].name + '</div>';
        divhtml += '         <div class="content">' +
            '             <ul>';
        for (let j = 0; j < divli[i].value.length; j++) {
            divhtml += '                 <li>' + divli[i].value[j] + '</li>';
        }
        divhtml += '             </ul></div>';
    }
    divhtml +=
        '    </div>' +

        '    </div>' +
        '    </div>' +
        '</div></section>';
    const $dialog = $(divhtml);
    $overlay.appendTo($(document.body))
    $dialog.appendTo($(document.body))
    $('body').css('overflow', 'hidden')
    $dialog.close = function() {
        $overlay.remove();
        $dialog.remove();
        $("body").css("overflow", "auto");
    }

    $dialog.hide = function() {
        $overlay.css('display', 'none');
        $dialog.css('display', 'none');
    }

    $dialog.show = function() {
        $overlay.css('display', 'block');
        $dialog.css('display', 'block');
    }

    $dialog.find('.close').unbind('click').on('click', function() {
        $dialog.close()
    })

    $dialog.find('.cancel').unbind('click').on('click', function() {
        $dialog.close();
    })

    return $dialog;
}